Subject: Re: JCUSA - Clubs & Societies SSAF Grant Distribution Information Session
From: JCUSA President <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Townsville Tabletop Guild <[email-masked]>, JCU MSA <[email-masked]>, Insaka Club <[email-masked]>, JCU PA <[email-masked]>, JCU Townsville Beach Volleyball Club <[email-masked]>, JCU Zoology Society <[email-masked]>, Riverway Football Club <[email-masked]>, "[email-masked]" <[email-masked]>, Engineering Undergraduate Society <[email-masked]>, Abbey Deguara <[email-masked]>, "[email-masked]" <
Date: Fri, 29 May 2026 00:22:04 +0000

Good morning everyone,

Following the cancellation of the SSAF forum, I’m sharing the SSAF Information Sheet below as a written version of what we planned to cover. It’s designed to be practical and clear: what SSAF is, why there are limits, what’s commonly allowed/not allowed (including portable & attractive items), the new Post‑Event Report requirement, and the most common pitfalls we see at acquittal time.

If you’re applying for Round 2 (or planning any SSAF-funded spending), please read this carefully and share it with your executive team. If you’re unsure about anything before spending, feel free to reply to this email.

I will make sure that this document is available on the JCUSA website as well.

Kind Regards,

Harrison O'Kane (He/Him) | JCU SA President

Building 133, Student Services Mall | Bebegu Yumba Campus, Townsville

Opening Hours | Mon – Fri 8.30am – 3.30pm

M: 0494 020 022  | E: [email-masked] | W: www.jcusa.edu.au<http://www.jcusa.edu.au/>

JCUSA acknowledges the Traditional Owners the Bindal and Wulgurukaba people of the land on which we work.

We pay our respects to the Elders past, present and emerging.

[JCUSA Email Signature - Office_Arial_SSAF]

________________________________
From: JCUSA President <[email-masked]>
Sent: Thursday, 28 May 2026 10:24 AM
Cc: [email-masked] <[email-masked]>; Townsville Tabletop Guild <[email-masked]>; JCU MSA <[email-masked]>; Insaka Club <[email-masked]>; JCU PA <[email-masked]>; JCU Townsville Beach Volleyball Club <[email-masked]>; JCU Zoology Society <[email-masked]>; Riverway Football Club <[email-masked]>; [email-masked] <[email-masked]>; Engineering Undergraduate Society <[email-masked]>; Abbey Deguara <[email-masked]>; [email-masked] <[email-masked]>; Admin <[email-masked]>; ASHA exec <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; JCU Marine Society <[email-masked]>; JCU AQA <[email-masked]>; FOCUS JCU <[email-masked]>; [email-masked] <[email-masked]>; LGBTQIA ALLIANCE <[email-masked]>; Dylan King <[email-masked]>; [email-masked] <[email-masked]>; JCU GPSN <[email-masked]>; JCU Speech Pathology Society <[email-masked]>; Business Student Association <[email-masked]>; JCU K-Crew <[email-masked]>; JCUCASA <[email-masked]>; JCU Women in Science Society <[email-masked]>; IYF Townsville <[email-masked]>; Bebegu Yumba Wadja Bimbi <[email-masked]>; JCU Pharmacy Student Association <[email-masked]>; JCU Nursing and Midwifery Society Townsville <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; Estelle Tsimiklis <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; Cairns Engineering Society <[email-masked]>; Inter Alia Law Society <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; [email-masked] <[email-masked]>; JCUSA Vice-President <[email-masked]>; JCUSA Cairns Campus <[email-masked]>; Jeff Jimmieson <[email-masked]>
Subject: Canceled: JCUSA - Clubs & Societies SSAF Grant Distribution Information Session
When: Thursday, 28 May 2026 7:00 PM-8:00 PM.
Where: Microsoft Teams Meeting

Good Morning Everyone,
I apologise as I am currently fighting a cold and will be unable to host today's meeting. As such I have decided to cancel today's Information Session.

In place of this I will prepare an information sheet based on today's planned content which I will distribute to all clubs through email. I appreciate that some clubs may have wished to speak directly to me regarding specific cases & queries not covered in SSAF policy - if this is the case you are more than welcome to reach out to me directly and I would be more than happy to organise a one on one teams meeting/phone call to discuss this. Otherwise I will endeavour to get back to any sent emails as soon as possible.

I apologise for the inconvenience. Please do not hesitate to reach out in case of any queries or questions. Although we were unable to host today's session I am still very keen to organise a Clubs and Societies Forum in the near future so please keep an eye out for any communication. Thank you to all who attended last night's Respect session as well.

I hope you all have a fantastic day.

Kind Regards,

Harrison O'Kane